/* Deep Waters v0.3.0 */
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var compose = require('./compose.js');
var isNumber = require('./numbers/isNumber.js');

var isDivisibleBy = function isDivisibleBy(number) {
  return compose.default(isNumber.default, function (value) {
    return value % number === 0;
  });
};

exports.default = isDivisibleBy;
