/* Deep Waters v0.3.0 */
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

/**
 * Takes a function and return a new function which will return the opposite of the given one
 * @param fn
 * @returns {function(*=): boolean}
 */
var not = function not(fn) {
  return function (value) {
    return !fn(value);
  };
};

exports.default = not;
