/* Deep Waters v0.3.0 */
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var compose = require('../compose.js');
var biggerThan = require('./biggerThan.js');
var lessThan = require('./lessThan.js');

var between = function between(min) {
  return function (max) {
    return compose.default(biggerThan.default(min), lessThan.default(max));
  };
};

exports.default = between;
