/* Deep Waters v0.3.0 */
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var compose = require('../compose.js');
var isNumber = require('./isNumber.js');

var lessThan = function lessThan(number) {
  return compose.default(isNumber.default, function (value) {
    return value < number;
  });
};

exports.default = lessThan;
