/* Deep Waters v0.3.0 */
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var compose = require('../compose.js');
var isString = require('./isString.js');

/**
 * Check whether the given string contains the defined prop
 * @param prop
 * @returns {function(*=): boolean}
 */

var contains = function contains(prop) {
  return compose.default(isString.default, function (value) {
    return value.indexOf("".concat(prop)) >= 0;
  });
};

exports.default = contains;
