/* Deep Waters v0.3.0 */
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

/**
 * Returns true if the given value is of type function
 *
 * According to: https://stackoverflow.com/questions/5999998/check-if-a-variable-is-of-function-type
 * @param fn
 * @returns {boolean|boolean}
 */
var isFunction = function isFunction(fn) {
  return !!fn && {}.toString.call(fn) === '[object Function]';
};

exports.default = isFunction;
